server {
    listen      192.168.1.2:80;
    server_name mail.anywhere.ro;
    charset     utf-8;
    root /var/www/html/roundcubemail;
    index       index.php;

    access_log off;
    error_log off;

    location / { rewrite ^ https://mail.anywhere.ro$request_uri permanent; }
}

server {
    listen 192.168.1.2:443 ssl; # managed by Certbot
    ssl_certificate /etc/letsencrypt/live/mail.anywhere.ro/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/mail.anywhere.ro/privkey.pem;
    include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
    server_name	mail.anywhere.ro;
    charset	utf-8;
    root /var/www/html/roundcubemail;
    index	index.php;

    access_log /var/log/nginx/mail.anywhere.ro.access.log ;
    error_log /var/log/nginx/mail.anywhere.ro.error.log debug;

    location ^~ /data {
    	deny all;
    }

    location / {
        try_files $uri $uri/ index.php;
    }

    location ~* \.php$ {
        fastcgi_split_path_info ^(.+\.php)(/.+)$;
        include       fastcgi_params;
        fastcgi_pass  unix:/var/run/php-fpm.sock;
	    fastcgi_index index.php;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
        fastcgi_buffer_size 16k;
        fastcgi_buffers 4 16k;
   }

}
